$pagenum = 1;
$prolog = ();
$body = "";
foreach $f (@ARGV) {
    open(F,$f) || die "couldn't read $f, stopped at";
    $state = 0;
    $trailer = "";
    while (<F>) {
	chop;
	$state = 1 if /^\%\%Page\:/; # Have reached the body
	$state = 2 if /^\%\%Trailer/; # Have reached the end
	push(@prolog,$_)
	    if $state == 0 && $pagenum == 1;
	if ($state == 1 && /^(\%\%Page\: \S+ )\S+/) {
	    $body .= $1.$pagenum++."\n";
	} elsif ($state == 1) {
	    $body .= "$_\n";
	}
	$trailer .= "$_\n" if $state == 2;
    }
    close F;
}

foreach $p (@prolog) {
    if ($p =~ /\%\%Pages\:/) {
	print "%%Pages: ",$pagenum-1,"\n";
    } else {
	print "$p\n";
    }
}
print $body;
print $trailer;
