#ifndef DRAGDROP_H
#define DRAGDROP_H

#include <tk.h>

/*** ----------------------------------------------------------------------
 * Things that may change quite a lot...
 */

#define DRAGDROP "dragdrop" /* Package prefix */
#define INIT Dragdrop_Init /* Initialisation routine */
#define LIBDIR "~/lang/tcl/" DRAGDROP "/lib" /* Tcl-source directory */
/*#define MONOCHROME*/ /* Define for monochrome default dragging cursors */

/* What version is this really? */
/* Included from patchlevel.h */
#ifndef VERSION
#define VERSION "3.0"
#endif

#ifndef PATCHLEVEL
#define PATCHLEVEL "a4"
#endif

/*** ----------------------------------------------------------------------
 * Assorted strings - you probably don't need to change these...
 */

/* Command name */
#define MAINCMD DRAGDROP

/* Variables */
#define MAIN DRAGDROP
#define DVERSN DRAGDROP"_version"
#define DPATCH DRAGDROP"_patchLevel"
#define DLIBRY DRAGDROP"_library"

/* Routines */
EXTERN int  INIT _ANSI_ARGS_((Tcl_Interp *interp));

#endif
